ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations
HTTPClientCommon.h File Reference

Go to the source code of this file.

## Classes
struct | _HTTP_CLIENT

## Macros
#define | HTTP_CLIENT_MAX_URL_LENGTH 512
#define | HTTP_CLIENT_FLAG_KEEP_ALIVE 0x00000001
#define | HTTP_CLIENT_FLAG_SEND_CHUNKED 0x00000002
#define | HTTP_CLIENT_FLAG_NO_CACHE 0x00000004
#define | HTTP_CLIENT_FLAG_ASYNC 0x00000008
#define | HTTP_CLIENT_STATE_PRE_INIT 0x00000000
#define | HTTP_CLIENT_STATE_INIT 0x00000001
#define | HTTP_CLIENT_STATE_URL_PARSED 0x00000002
#define | HTTP_CLIENT_STATE_HOST_CONNECTED 0x00000004
#define | HTTP_CLIENT_STATE_HEAD_SENT 0x00000008
#define | HTTP_CLIENT_STATE_POST_SENT 0x00000010
#define | HTTP_CLIENT_STATE_REQUEST_SENT 0x00000020
#define | HTTP_CLIENT_STATE_HEADERS_RECIVED 0x00000040
#define | HTTP_CLIENT_STATE_HEADERS_PARSED 0x00000080
#define | HTTP_CLIENT_STATE_HEADERS_OK 0x00000100
#define | HTTP_CLIENT_SUCCESS 0
#define | HTTP_CLIENT_UNKNOWN_ERROR 1
#define | HTTP_CLIENT_ERROR_INVALID_HANDLE 2
#define | HTTP_CLIENT_ERROR_NO_MEMORY 3
#define | HTTP_CLIENT_ERROR_SOCKET_INVALID 4
#define | HTTP_CLIENT_ERROR_SOCKET_CANT_SET 5
#define | HTTP_CLIENT_ERROR_SOCKET_RESOLVE 6
#define | HTTP_CLIENT_ERROR_SOCKET_CONNECT 7
#define | HTTP_CLIENT_ERROR_SOCKET_TIME_OUT 8
#define | HTTP_CLIENT_ERROR_SOCKET_RECV 9
#define | HTTP_CLIENT_ERROR_SOCKET_SEND 10
#define | HTTP_CLIENT_ERROR_HEADER_RECV 11
#define | HTTP_CLIENT_ERROR_HEADER_NOT_FOUND 12
#define | HTTP_CLIENT_ERROR_HEADER_BIG_CLUE 13
#define | HTTP_CLIENT_ERROR_HEADER_NO_LENGTH 14
#define | HTTP_CLIENT_ERROR_CHUNK_TOO_BIG 15
#define | HTTP_CLIENT_ERROR_AUTH_HOST 16
#define | HTTP_CLIENT_ERROR_AUTH_PROXY 17
#define | HTTP_CLIENT_ERROR_BAD_VERB 18
#define | HTTP_CLIENT_ERROR_LONG_INPUT 19
#define | HTTP_CLIENT_ERROR_BAD_STATE 20
#define | HTTP_CLIENT_ERROR_CHUNK 21
#define | HTTP_CLIENT_ERROR_BAD_URL 22
#define | HTTP_CLIENT_ERROR_BAD_HEADER 23
#define | HTTP_CLIENT_ERROR_BUFFER_RSIZE 24
#define | HTTP_CLIENT_ERROR_BAD_AUTH 25
#define | HTTP_CLIENT_ERROR_AUTH_MISMATCH 26
#define | HTTP_CLIENT_ERROR_NO_DIGEST_TOKEN 27
#define | HTTP_CLIENT_ERROR_NO_DIGEST_ALG 28
#define | HTTP_CLIENT_ERROR_SOCKET_BIND 29
#define | HTTP_CLIENT_ERROR_TLS_NEGO 30
#define | HTTP_CLIENT_ERROR_NOT_IMPLEMENTED 64
#define | HTTP_CLIENT_EOS 1000

## Typedefs
typedef enum _HTTP_AUTH_SCHEMA | HTTP_AUTH_SCHEMA
typedef enum _HTTP_VERB | HTTP_VERB
typedef struct _HTTP_CLIENT | HTTP_CLIENT

## Enumerations
enum | _HTTP_AUTH_SCHEMA { AuthSchemaNone = 0, AuthSchemaBasic, AuthSchemaDigest, AuthSchemaKerberos, AuthNotSupported }
enum | _HTTP_VERB { VerbGet = 0, VerbHead, VerbPost, VerbNotSupported }

## Macro Definition Documentation

#define HTTP_CLIENT_EOS 1000

#define HTTP_CLIENT_ERROR_AUTH_HOST 16

#define HTTP_CLIENT_ERROR_AUTH_MISMATCH 26

#define HTTP_CLIENT_ERROR_AUTH_PROXY 17

#define HTTP_CLIENT_ERROR_BAD_AUTH 25

#define HTTP_CLIENT_ERROR_BAD_HEADER 23

#define HTTP_CLIENT_ERROR_BAD_STATE 20

#define HTTP_CLIENT_ERROR_BAD_URL 22

#define HTTP_CLIENT_ERROR_BAD_VERB 18

#define HTTP_CLIENT_ERROR_BUFFER_RSIZE 24

#define HTTP_CLIENT_ERROR_CHUNK 21

#define HTTP_CLIENT_ERROR_CHUNK_TOO_BIG 15

#define HTTP_CLIENT_ERROR_HEADER_BIG_CLUE 13

#define HTTP_CLIENT_ERROR_HEADER_NO_LENGTH 14

#define HTTP_CLIENT_ERROR_HEADER_NOT_FOUND 12

#define HTTP_CLIENT_ERROR_HEADER_RECV 11

#define HTTP_CLIENT_ERROR_INVALID_HANDLE 2

#define HTTP_CLIENT_ERROR_LONG_INPUT 19

#define HTTP_CLIENT_ERROR_NO_DIGEST_ALG 28

#define HTTP_CLIENT_ERROR_NO_DIGEST_TOKEN 27

#define HTTP_CLIENT_ERROR_NO_MEMORY 3

#define HTTP_CLIENT_ERROR_NOT_IMPLEMENTED 64

#define HTTP_CLIENT_ERROR_SOCKET_BIND 29

#define HTTP_CLIENT_ERROR_SOCKET_CANT_SET 5

#define HTTP_CLIENT_ERROR_SOCKET_CONNECT 7

#define HTTP_CLIENT_ERROR_SOCKET_INVALID 4

#define HTTP_CLIENT_ERROR_SOCKET_RECV 9

#define HTTP_CLIENT_ERROR_SOCKET_RESOLVE 6

#define HTTP_CLIENT_ERROR_SOCKET_SEND 10

#define HTTP_CLIENT_ERROR_SOCKET_TIME_OUT 8

#define HTTP_CLIENT_ERROR_TLS_NEGO 30

#define HTTP_CLIENT_FLAG_ASYNC 0x00000008

#define HTTP_CLIENT_FLAG_KEEP_ALIVE 0x00000001

#define HTTP_CLIENT_FLAG_NO_CACHE 0x00000004

#define HTTP_CLIENT_FLAG_SEND_CHUNKED 0x00000002

#define HTTP_CLIENT_MAX_URL_LENGTH 512

#define HTTP_CLIENT_STATE_HEAD_SENT 0x00000008

#define HTTP_CLIENT_STATE_HEADERS_OK 0x00000100

#define HTTP_CLIENT_STATE_HEADERS_PARSED 0x00000080

#define HTTP_CLIENT_STATE_HEADERS_RECIVED 0x00000040

#define HTTP_CLIENT_STATE_HOST_CONNECTED 0x00000004

#define HTTP_CLIENT_STATE_INIT 0x00000001

#define HTTP_CLIENT_STATE_POST_SENT 0x00000010

#define HTTP_CLIENT_STATE_PRE_INIT 0x00000000

#define HTTP_CLIENT_STATE_REQUEST_SENT 0x00000020

#define HTTP_CLIENT_STATE_URL_PARSED 0x00000002

#define HTTP_CLIENT_SUCCESS 0

#define HTTP_CLIENT_UNKNOWN_ERROR 1

## Typedef Documentation

typedef enum _HTTP_AUTH_SCHEMA HTTP_AUTH_SCHEMA

typedef struct _HTTP_CLIENT HTTP_CLIENT

typedef enum _HTTP_VERB HTTP_VERB

## Enumeration Type Documentation

enum _HTTP_AUTH_SCHEMA

Enumerator
AuthSchemaNone |
AuthSchemaBasic |
AuthSchemaDigest |
AuthSchemaKerberos |
AuthNotSupported |

enum _HTTP_VERB

Enumerator
VerbGet |
VerbHead |
VerbPost |
VerbNotSupported |